Storyden
Robots

Create a Robot Toolset

Create a reusable member-authored Toolset.

POST
/robots/toolsets

Create a reusable member-authored Toolset.

Authorization

cookiestoryden-session<token>

Request Body

application/json
  1. body
name*string
description*string
instruction?string

Specialist instructions injected whenever the Toolset is active.

tools*array<string>

A list of raw tool names contained by a Toolset.

meta?

Arbitrary metadata for the resource.

Response Body

Robot Toolset retrieved.

application/json
  1. response
id*string
name*string
description*string
instruction*string

Specialist instructions injected whenever the Toolset is active.

tools*array<string>

A list of raw tool names contained by a Toolset.

source*RobotToolsetSource
Value in"system""custom""plugin""mcp"
source_ref?string

Optional provider-specific source identifier.

editable*boolean
usage_count*integer
Range0 <= value
requires_workspace*boolean

Whether this Toolset is only available to Robot sessions with an active workspace.

author?

A minimal reference to an account.

meta?

Arbitrary metadata for the resource.

Example Request
curl -X POST 'https://example.com/api/robots/toolsets' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "description": "string",  "tools": [    "string"  ]}'
Example Response
{  "id": "string",  "name": "string",  "description": "string",  "instruction": "string",  "tools": [    "string"  ],  "source": "system",  "source_ref": "string",  "editable": true,  "usage_count": 0,  "requires_workspace": true,  "author": {    "id": "string",    "joined": "2019-08-24T14:15:22Z",    "suspended": "2019-08-24T14:15:22Z",    "handle": "string",    "name": "string",    "signature": "string",    "roles": [      {        "badge": true,        "default": true,        "id": "string",        "name": "string",        "colour": "string",        "meta": {}      }    ]  },  "meta": {}}